#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2003-2006 Free Software Foundation
#
# FILE:
# RelativeWriter.py
#
# DESCRIPTION:
# Basic Output Writer for "Continuous" file formats (i.e., do
# not contain absolute positioning information)
#
# Basic Output Writer for "Positionable" file formats (i.e., do
# contain positioning information)
#
# NOTES:
#

__all__ = ['RelativeWriter']

class RelativeWriter:


  # Supported features
  BITMAP_FORMATS=[]
  VECTOR_FORMATS=[]
  GRAPHICS=0
  DRAWING=0



  #
  # Stuff for the output drivers to implement
  #

  def initialize(self):
    pass

  #
  # Internal to Writer
  #


  def __init__(self):
    pass


