#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2002-2006 Free Software Foundation
#
# FILE:
# transforms/raw/Adapter.py
#
# DESCRIPTION:
# Transforms adapter for raw output (no transforms)
#
# NOTES:
# This is a dummy class... since no transforms actually
# take place, this file consists of very little.
#


from gnue.reports.base.GROutputAdapter import TransformAdapter as Base

class TransformAdapter(Base):
  def open(self):
    return self.destination.getOutputHandle()

  def close(self):
    return self.destination.close(mimetype="application/x-gnue-reports-output")
